Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227048 - Review Request: dom2-core-tests-0.0.1-0.20040405.1jpp - DOM Conformance Test Suite
Summary: Review Request: dom2-core-tests-0.0.1-0.20040405.1jpp - DOM Conformance Test ...
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Deepak Bhole
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-02 17:32 UTC by Rafael H. Schloming
Modified: 2014-12-01 23:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-28 21:25:41 UTC
tbento: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)

Description Rafael H. Schloming 2007-02-02 17:32:34 UTC
Spec URL: http://people.redhat.com/rafaels/specs/dom2-core-tests-0.0.1-0.20040405.1jpp.spec
SRPM URL: ftp://jpackage.hmdc.harvard.edu/JPackage/1.7/generic/SRPMS.free/dom2-core-tests-0.0.1-0.20040405.1jpp.src.rpm
Description: The DOM Test Suites (DOM TS) will consist of a number of tests
for each level of the DOM specification. The tests will be
represented in an XML grammar which ensures that tests can easily
be ported from the description format to a number of specific
language bindings. This grammar will be specified in XML Schema
and DTD form. The grammar will be automatically generated from the
DOM specifications themselves, to ensure stability and correctness.

Javadoc for dom2-core-tests.

Comment 1 Tania Bento 2007-02-12 18:22:24 UTC
==============================
RPMLINT OUTPUT FOR SOURCE RPM:
==============================

W: dom2-core-tests non-standard-group Text Processing/Markup/XML
W: dom2-core-tests invalid-license W3C Software License
W: dom2-core-tests rpm-buildroot-usage %prep rm -rf $RPM_BUILD_ROOT
W: dom2-core-tests mixed-use-of-spaces-and-tabs (spaces: line 9, tab: line 42)
W: dom2-core-tests class-path-in-manifest /dom2-core-tests-20040405.jar


===============================
RPMLINT OUTPUT FOR BINARY RPMS:
===============================

dom2-core-tests-0.0.1-0.20040405.1jpp.noarch.rpm:
-------------------------------------------------
W: dom2-core-tests non-standard-group Text Processing/Markup/XML
W: dom2-core-tests invalid license W3C Software license
W: dom2-core-tests no-documentation

dom2-core-tests-javadoc-00,01-0.20040405-1jpp.noarch.rpm:
---------------------------------------------------------
W: dom2-core-tests-javadoc non-standard-group Development/Documentation
W: dom2-core-tests-javadoc invalid-license W3C Software License
W: dom2-core-tests-javadoc dangerous-command-in-%post rm
w: dom2-core-tests-javadoc dangerous-command-in-%postun rm



- Fix %Release tag.

- Remove %Vendor and &Distribution.

- Add "-%(%{__id_u} -n)" to the end of %BuildRoot.

- In the future, when adding gcj support, remove %BuildArch.

- Change the changelog entry format.  Ralph's email should read
"<r.apel@r-apel.de>".





Comment 2 Vivek Lakshmanan 2007-02-13 05:03:16 UTC
(In reply to comment #1)
> ==============================
> RPMLINT OUTPUT FOR SOURCE RPM:
> ==============================
> 
> W: dom2-core-tests non-standard-group Text Processing/Markup/XML
Ignoring since groups can apparently be arbitrary

> W: dom2-core-tests invalid-license W3C Software License
http://www.opensource.org/licenses/W3C.php suggests license is OSI approved
Using W3C License in this field

> W: dom2-core-tests rpm-buildroot-usage %prep rm -rf $RPM_BUILD_ROOT
Removed

> W: dom2-core-tests mixed-use-of-spaces-and-tabs (spaces: line 9, tab: line 42)
Fixed

> W: dom2-core-tests class-path-in-manifest /dom2-core-tests-20040405.jar
Ignoring since these are mandated by package build process

> ===============================
> RPMLINT OUTPUT FOR BINARY RPMS:
> ===============================
> 
> dom2-core-tests-0.0.1-0.20040405.1jpp.noarch.rpm:
> -------------------------------------------------
> W: dom2-core-tests non-standard-group Text Processing/Markup/XML
Ignoring since groups can apparently be arbitrary
> W: dom2-core-tests invalid license W3C Software license
See above
> W: dom2-core-tests no-documentation
There doesnt seem to be anything in the build directory to use for doc, can we
waive this? 

> dom2-core-tests-javadoc-00,01-0.20040405-1jpp.noarch.rpm:
> ---------------------------------------------------------
> W: dom2-core-tests-javadoc non-standard-group Development/Documentation
Ignore as above

> W: dom2-core-tests-javadoc invalid-license W3C Software License
Changed to W3C License

> W: dom2-core-tests-javadoc dangerous-command-in-%post rm
> w: dom2-core-tests-javadoc dangerous-command-in-%postun rm
Removed the use of post and postun scripts

> - Fix %Release tag.
Fixed
> 
> - Remove %Vendor and &Distribution.
> 
> - Add "-%(%{__id_u} -n)" to the end of %BuildRoot.
>
> - In the future, when adding gcj support, remove %BuildArch.
>
Fixed
 
> - Change the changelog entry format.  Ralph's email should read
> "<r.apel@r-apel.de>".
> 
I think the guidelines are more particular about the location of ENVR in the
changelog



The SRPM is at: 
http://tequila-sunrise.ath.cx/rpmreviews/F7/dom2-core-tests/dom2-core-tests-0.0.1-0.1.20040405.1jpp.1.fc7.src.rpm



Comment 3 Tania Bento 2007-02-13 22:16:00 UTC
(In reply to comment #2)
> (In reply to comment #1)
> > ==============================
> > RPMLINT OUTPUT FOR SOURCE RPM:
> > ==============================
> > 
> > W: dom2-core-tests non-standard-group Text Processing/Markup/XML
> Ignoring since groups can apparently be arbitrary
> 
> > W: dom2-core-tests invalid-license W3C Software License
> http://www.opensource.org/licenses/W3C.php suggests license is OSI approved
> Using W3C License in this field
> 
> > W: dom2-core-tests rpm-buildroot-usage %prep rm -rf $RPM_BUILD_ROOT
> Removed
> 
> > W: dom2-core-tests mixed-use-of-spaces-and-tabs (spaces: line 9, tab: line 42)
> Fixed
> 
> > W: dom2-core-tests class-path-in-manifest /dom2-core-tests-20040405.jar
> Ignoring since these are mandated by package build process
> 
> > ===============================
> > RPMLINT OUTPUT FOR BINARY RPMS:
> > ===============================
> > 
> > dom2-core-tests-0.0.1-0.20040405.1jpp.noarch.rpm:
> > -------------------------------------------------
> > W: dom2-core-tests non-standard-group Text Processing/Markup/XML
> Ignoring since groups can apparently be arbitrary
> > W: dom2-core-tests invalid license W3C Software license
> See above
> > W: dom2-core-tests no-documentation
> There doesnt seem to be anything in the build directory to use for doc, can we
> waive this? 
> 
> > dom2-core-tests-javadoc-00,01-0.20040405-1jpp.noarch.rpm:
> > ---------------------------------------------------------
> > W: dom2-core-tests-javadoc non-standard-group Development/Documentation
> Ignore as above
> 
> > W: dom2-core-tests-javadoc invalid-license W3C Software License
> Changed to W3C License
> 
> > W: dom2-core-tests-javadoc dangerous-command-in-%post rm
> > w: dom2-core-tests-javadoc dangerous-command-in-%postun rm
> Removed the use of post and postun scripts
> 
> > - Fix %Release tag.
> Fixed
> > 
> > - Remove %Vendor and &Distribution.
> > 
> > - Add "-%(%{__id_u} -n)" to the end of %BuildRoot.
> >
> > - In the future, when adding gcj support, remove %BuildArch.
> >
> Fixed
>  
> > - Change the changelog entry format.  Ralph's email should read
> > "<r.apel@r-apel.de>".
> > 
> I think the guidelines are more particular about the location of ENVR in the
> changelog.

Great.  I think there may be a minor bug in %changelog because rpmlint now
generates the following warning when run on
dom2-core-tests-0.0.1-0.1.20040405.1jpp.1.i386.rpm:
W: dom2-core-tests incoherent-version-in-changelog
1:0.0.1-0.1.20040405.1jpp.1.fc7 1:0.0.1-0.1.20040405.1jpp.1
Could you have a look at this?

Also, there seem to be a couple of lines with more than 80 characters.  I didn't
know this was a must, which is why I didn't mention anything previously.  Could
you also have a look at that?


Comment 4 Vivek Lakshmanan 2007-02-13 23:19:39 UTC
(In reply to comment #3)

> Great.  I think there may be a minor bug in %changelog because rpmlint now
> generates the following warning when run on
> dom2-core-tests-0.0.1-0.1.20040405.1jpp.1.i386.rpm:
> W: dom2-core-tests incoherent-version-in-changelog
> 1:0.0.1-0.1.20040405.1jpp.1.fc7 1:0.0.1-0.1.20040405.1jpp.1
> Could you have a look at this?
I think you might have tried to rebuild the srpm without a rpmbuild --define
"%dist .fc7" which is why it complained. 





Comment 5 Tania Bento 2007-02-15 17:40:41 UTC
(In reply to comment #4)
> (In reply to comment #3)
> 
> > Great.  I think there may be a minor bug in %changelog because rpmlint now
> > generates the following warning when run on
> > dom2-core-tests-0.0.1-0.1.20040405.1jpp.1.i386.rpm:
> > W: dom2-core-tests incoherent-version-in-changelog
> > 1:0.0.1-0.1.20040405.1jpp.1.fc7 1:0.0.1-0.1.20040405.1jpp.1
> > Could you have a look at this?
> I think you might have tried to rebuild the srpm without a rpmbuild --define
> "%dist .fc7" which is why it complained. 
> 

Sorry about that, you are right.  But there is still a warning in one of the
binary rpms:
W: dom2-core-tests no-documentation
The package contains no documentation (README, doc, etc).
You have to include documentation files.

Everything else looks a-okay to me.  



Comment 6 Vivek Lakshmanan 2007-02-15 21:06:53 UTC
(In reply to comment #5)
> 
> W: dom2-core-tests no-documentation
> The package contains no documentation (README, doc, etc).
> You have to include documentation files.
> 
> Everything else looks a-okay to me.  
> 

I think this can be ignored. I looked in the build root and there is nothing
appropriate to add...

> 



Comment 7 Vivek Lakshmanan 2007-03-02 22:59:42 UTC
Reassigning to package owner to be built into rawhide.

Comment 8 Deepak Bhole 2007-03-06 22:31:57 UTC
New Package CVS Request
=======================
Package Name: dom2-core-tests-0.0.1-0.1.20040405.1jpp.1
Short Description: DOM Conformance Test Suite
Owners: dbhole@redhat.com
Branches: FC-7


Comment 9 Dennis Gilmore 2007-03-07 19:11:01 UTC
branched 

Comment 10 Deepak Bhole 2007-04-25 18:39:35 UTC
This package was needed by maven2, but that is no longer the case.

Comment 11 Deepak Bhole 2007-04-25 19:26:20 UTC
On second thought, I think I will keep this open. Although it is non-critical,
it should really be added into Fedora at some point..

Comment 12 Toshio Ernie Kuratomi 2007-10-13 08:33:29 UTC
ping?

This package was approved and a cvs branch was created for it but the source was
never checked into the repository or a package built.  You can go ahead and do
this if you'd like; it's all set up and awaiting your initial checkin.

Comment 13 Deepak Bhole 2008-02-28 21:25:41 UTC
This package is not required at this time. I see no reason to pull it in and
increase maintenance burden. Therefore I am closing this bug.


Note You need to log in before you can comment on or make changes to this bug.